Skip to main content

Get Instance Request Template

GET 

/v1/sandbox/:sandbox_id/instance-request-template/:instance_request_template_id

Get a specific Instance Request Template in a sandbox

Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    instance_request_template_id uuidrequired
    sandbox_id uuidrequired

    Sandbox ID

Responses

Successful Response

Schema

    custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    map_selection_list_id uuidrequired

    Which MapSelectionList is used to choose a map when using this template

    instance_request_template_id uuid

    ID to uniquely identify this InstanceRequestTemplate

    default_host_type Host Type (string)required

    Possible values: [dedicated, player, preallocated]

    Whether the host is another player, or a dedicated instance

    legacy_config

    object

    Old config used by Legacy systems. These values are ignored by the current APIs

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when this resource was created

Loading...